Page MenuHomePhabricator

Remove useless/misleading "Comments" field on top of https://phabricator.wikimedia.org/maniphest/task/edit/form/1/ and other places
Closed, ResolvedPublic

Subscribers
Tokens
"Meh!" token, awarded by zeljkofilipin."Pterodactyl" token, awarded by Liuxinyu970226."Pterodactyl" token, awarded by Ciencia_Al_Poder."The World Burns" token, awarded by Keegan."Pterodactyl" token, awarded by Bawolff.
Assigned To
Authored By
Aklapper, Oct 12 2017

Description

A "Comments" text area is showing at the top of https://phabricator.wikimedia.org/maniphest/task/edit/form/1/

This field is not showing on the edit form options as a field that can be hidden or reordered.

Event Timeline

Yeah. I just entered a task description in that very "Comments" field.
Instead of the "Description" field.
So it got lost.
So I could now write the task summary again but I'm too grumpy about this.

Elitre added a subscriber: Elitre.Oct 12 2017, 1:02 PM

This also made it impossible for me to edit/correct any Phab project descriptions.
Example: There is no "Description" field anymore on https://phabricator.wikimedia.org/project/edit/3029/ , just "Name" and "Additional Hashtags".

I'm tempted to mark this as UBN! due to the loss of ability to modify project descriptions. Did we get a half-baked release from upstream or is this bad interaction with some of our local hackscustomizations?

Aklapper raised the priority of this task from High to Unbreak Now!.Oct 12 2017, 4:23 PM
Restricted Application added subscribers: Liuxinyu970226, Jay8g, TerraCodes. · View Herald TranscriptOct 12 2017, 4:23 PM
Elitre added a comment.EditedOct 12 2017, 4:37 PM

Can we put a very visible notice on the Phab home page when similar things break? Even just a prominent link to this task may help.

Perhaps something has improved the in intervening time, but I can see the "Description" field in the project you mention @Aklapper.

When I try to edit the form https://phabricator.wikimedia.org/transactions/editengine/maniphest.task/view/1/ I don't even see a way to hide the comments field...

This also made it impossible for me to edit/correct any Phab project descriptions.
Example: There is no "Description" field anymore on https://phabricator.wikimedia.org/project/edit/3029/ , just "Name" and "Additional Hashtags".

I do see a Description field and am able to edit descriptions for tasks. Did something change?

I still can't see the Description field. Perhaps this particular regression only effects Phabicator admins?


We might need to split this bug.

Probably. Here's what I see -

bd808 updated the task description. (Show Details)Oct 13 2017, 3:00 AM
mmodell claimed this task.Oct 15 2017, 11:43 PM

Note this not only affects form/1/, but probably most other form templates.

ema added a subscriber: ema.Oct 16 2017, 9:31 AM
Huji added a comment.Oct 16 2017, 12:44 PM

Correct. The "security issue" form (i.e. form 2) is also affected, for instance.

Should be fixed in rPHABd606822dcce0: Fix the shouldHideByDefault hack which I will deploy momentarily.

Mentioned in SAL (#wikimedia-operations) [2017-10-16T14:34:05Z] <twentyafterfour> deploying hotfix for T178068 and T178107

mmodell closed this task as Resolved.Oct 16 2017, 2:35 PM